Results 1 to 9 of 9

Thread: Problem getting the latest version of WINE installed

  1. #1
    Just burned his ISO
    Join Date
    Jun 2010
    Posts
    5

    Default Problem getting the latest version of WINE installed

    Hi all!

    A quick question: I just moved from Windows over to Backtrack. One of the programs that I really need to get running, Home - Magic Workstation, Cards Management and Decks Testing for CCG Players, Online Play , really needs one of the later (unstable) releases of WINE to work. Well, so I go to follow the instructions to get the updated version, using the Ubuntu instructions and I get a little stuck. I go to 'software sources' then the 'third-party software' tab, where I am supposed to click on add and then copy and paste 'ppa:ubuntu-wine/ppa' into the field. I do that, but then the click-box 'add source' is greyed out, and will not let me add the ppa.

    Can anyone help me out?
    Thanks in advance -

    RaistlinM

  2. #2
    Super Moderator lupin's Avatar
    Join Date
    Jan 2010
    Posts
    2,943

    Default Re: Problem getting the latest version of WINE installed

    Its probably expecting a "deb" style apt configuration line, and wont let you enter anything else. As far as Im aware PPAs are Ubuntu only, and they won't work with BackTrack.
    Capitalisation is important. It's the difference between "Helping your brother Jack off a horse" and "Helping your brother jack off a horse".

    The Forum Rules, Forum FAQ and the BackTrack Wiki... learn them, love them, live them.

  3. #3
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default Re: Problem getting the latest version of WINE installed

    Why don't you stick with something a bit more general purpose, like Ubunutu for instance.
    Using a Penetration Testing Distro to play magic is like using a cow for transportation.

  4. #4
    Just burned his ISO
    Join Date
    Jun 2010
    Posts
    5

    Default

    Ah, I was afraid of as much. Well then this is a shot in the dark then, and I'm cross posting to the WINE forums as well, but I take it none of the brilliant guys on here could help me get it working another way? I'd hate to have to dual boot just for one lousy program!
    Thanks -
    RaistlinM

    @ a-angel

    Due to my current situation, I only have access to one rig. I would like to play with the tools that BT has to offer. If I had multiple rigs it would be a non issue, but alas, it is not to be, heh. Like I said above, if I absolutely had to dual boot, I imagine it would be a pain to get set up, but totally doable. I just feel a little silly going through all that trouble just for one program, when it seems like there should be a way to get it working on here. Another solution I suppose, is they are on a RC2 atm, and I assume that when they upgrade to the next stable release I should be able to use the package manager within BT to do the upgrade. Theoretically, that might not be 'that' that long until that happens. But regardless
    Safe travels -
    RaistlinM
    Last edited by Archangel-Amael; 06-04-2010 at 02:15 PM.

  5. #5
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default Re: Problem getting the latest version of WINE installed

    So here is an idea. Either setup a vm with BT in ubuntu or windows. Then you can learn and you can play your games or whatever.
    I mean your really going about things the hard way.

  6. #6
    Super Moderator lupin's Avatar
    Join Date
    Jan 2010
    Posts
    2,943

    Default Re: Problem getting the latest version of WINE installed

    Bit of an obvious thing to suggest, but why don't you try installing Wine from source?
    Capitalisation is important. It's the difference between "Helping your brother Jack off a horse" and "Helping your brother jack off a horse".

    The Forum Rules, Forum FAQ and the BackTrack Wiki... learn them, love them, live them.

  7. #7
    Just burned his ISO
    Join Date
    Jun 2010
    Posts
    5

    Default Re: Problem getting the latest version of WINE installed

    Quote Originally Posted by Archangel-Amael View Post
    So here is an idea. Either setup a vm with BT in ubuntu or windows. Then you can learn and you can play your games or whatever.
    I mean your really going about things the hard way.

    That is what I tried first, actually. There wound up being two issues - one, I could never get the wireless usb stick I bought to work with it. Second of all, this is an older computer, and while I was trying to debug the first issue, running a VM with what little memory I had was like banging my head up againnst a wall...and not a padded all at that. Boo. So I decided to just do a full install instead. Wireshark, ettercap and airodump all work like a charm. It's just my silly card game program that I can't get working

    @lupin

    Yeah, thats what I am going to try next. I was hoping to find a simpler solution. I've never messed with installing something from source that I hadn't set up myself in an ide. I figured the simpler route was the figure out why the 'add' button was greyed out. After a google search proved unsuccessful I should have known I was out of luck, but figured I would try the forum thing for an answer before I went on to plan B.

  8. #8
    Very good friend of the forum TAPE's Avatar
    Join Date
    Jan 2010
    Location
    Europe
    Posts
    599

    Default Re: Problem getting the latest version of WINE installed

    Quote Originally Posted by Archangel-Amael View Post
    Using a Penetration Testing Distro to play magic is like using a cow for transportation.
    That's my LOL-fix of the day sorted

  9. #9
    Junior Member
    Join Date
    Jan 2010
    Posts
    41

    Default Re: Problem getting the latest version of WINE installed

    Yuo've probably done this cos it's a necessary dependency - installed Gecko. l believe it's 1.2 now.
    lf you go to Synaptic and search for wine it should come up there and also tell you if it's already installed.

Similar Threads

  1. is ther is any bt3 version with latest kernel integrated
    By anyaddress in forum OLD Newbie Area
    Replies: 1
    Last Post: 09-26-2009, 11:32 PM
  2. Wine SDISPLAY Problem
    By imported_athacks in forum OLD BackTrack 4 Software Related Issues
    Replies: 0
    Last Post: 08-13-2009, 03:28 AM
  3. Replies: 1
    Last Post: 01-17-2009, 03:58 AM
  4. How to upgrade your dnsenum to the latest version
    By purehate in forum OLD Tutorials and Guides
    Replies: 6
    Last Post: 03-25-2008, 01:15 PM
  5. Replies: 10
    Last Post: 07-31-2007, 01:23 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •